Package org.eclipse.rdf4j.repository

## Interface DelegatingRepositoryConnection

- All Superinterfaces:
    `AutoCloseable`, `RepositoryConnection`
  All Known Implementing Classes:
    `CachingRepositoryConnection`, `ContextAwareConnection`, `DatasetRepositoryConnection`, `EndpointBase.ManagedRepositoryConnection`, `InterceptingRepositoryConnectionWrapper`, `LoggingRepositoryConnection`, `NotifyingRepositoryConnectionWrapper`, `PooledRepositoryConnection`, `RepositoryConnectionWrapper`

      public interface DelegatingRepositoryConnection
      extends RepositoryConnection

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RepositoryConnection` | `getDelegate()` |
    `void` | `setDelegate​(RepositoryConnection delegate)` |

    - ### Methods inherited from interface org.eclipse.rdf4j.repository.RepositoryConnection

      `add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, begin, begin, begin, clear, clearNamespaces, close, commit, export, exportStatements, getContextIDs, getIsolationLevel, getNamespace, getNamespaces, getParserConfig, getRepository, getStatements, getStatements, getValueFactory, hasStatement, hasStatement, isActive, isAutoCommit, isEmpty, isOpen, prepare, prepareBooleanQuery, prepareBooleanQuery, prepareBooleanQuery, prepareGraphQuery, prepareGraphQuery, prepareGraphQuery, prepareQuery, prepareQuery, prepareQuery, prepareTupleQuery, prepareTupleQuery, prepareTupleQuery, prepareUpdate, prepareUpdate, prepareUpdate, remove, remove, remove, remove, remove, removeNamespace, rollback, setAutoCommit, setIsolationLevel, setNamespace, setParserConfig, size`

- - ### Method Detail

    - #### getDelegate

          RepositoryConnection getDelegate()
                                    throws RepositoryException

      Throws:
        `RepositoryException`

    - #### setDelegate

          void setDelegate​(RepositoryConnection delegate)